#include "MenuTextJump_Player1Joystick.h"

InputSetting_Joystick* MenuTextJump_Player1Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Joystick ? gameFunc->GetInputSetting_Player1Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextJump_Player1Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_jump;
}

std::weak_ptr<Entity> MenuTextJump_Player1Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player1(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextJump_Player1Joystick()
{
	return std::make_shared<MenuTextJump_Player1Joystick>();
}


